Commits

Anonymous committed e0902f4

Adding slave cleaning script

Comments (0)

Files changed (1)

slave/usr/local/bin/slave-cleaner.sh

+#!/bin/bash
+
+CONF=/etc/vlbuildslave/slavehost.conf
+
+source $CONF || exit 1
+
+for rel in $VLVERSIONS; do
+	jaildir=${CHROOTS[$rel]}
+	cd $jaildir || exit 1
+	echo "$(date) Cleaning up $jaildir"
+	for junk in $(ls | grep -v CHROOT-RO); do
+		inmount=$(mount | grep $junk)
+		junkpath=${jaildir}/${junk}
+		if [ "x$inmount" == "x" ]; then
+			rm -rf $junkpath
+#			echo "$junkpath can be removed"
+		else
+			echo "$junkpath is in use"
+		fi
+	done
+
+done
Tip: Filter by directory path e.g. /media app.js to search for public/media/app.js.
Tip: Use camelCasing e.g. ProjME to search for ProjectModifiedEvent.java.
Tip: Filter by extension type e.g. /repo .js to search for all .js files in the /repo directory.
Tip: Separate your search with spaces e.g. /ssh pom.xml to search for src/ssh/pom.xml.
Tip: Use ↑ and ↓ arrow keys to navigate and return to view the file.
Tip: You can also navigate files with Ctrl+j (next) and Ctrl+k (previous) and view the file with Ctrl+o.
Tip: You can also navigate files with Alt+j (next) and Alt+k (previous) and view the file with Alt+o.